apiVersion: v1
kind: Secret
metadata:
  name: '{{ dbcredentials_name }}'
  namespace: '{{ ansible_operator_meta.namespace }}'
  labels:
    dbcredentials: ''
    dbName: '{{ db_name }}'
    # Avoid snake_case transformation of YAML key names
    # https://github.com/operator-framework/operator-sdk/issues/1770
    {{ _dbod_cern_ch_database.spec.extraLabels | to_nice_yaml(indent=4) }}
data:
  dbName: '{{ db_name | b64encode }}'
  dbUser: '{{ db_user | b64encode }}'
  dbPassword: '{{ db_password | b64encode }}'
  dbHost: '{{ dbod_host | b64encode }}'
  dbPort: '{{ dbod_port | b64encode }}'
  dbSalt: '{{ db_salt | b64encode }}'
